{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/internal_account_user/mass_operation/lock') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/internal_account_user/mass_operation/lock') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        <a href="{{ path('configuration_internal_account_user_overview', fetch_merged_url_parameters_by_session_key_name('internalAccountUserOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Benutzer:innen sperren <span class="text-secondary">({{ accountUsers|length }})</span></span>
        {{ form_widget(accountUserMassOperationLockForm.lock, {'label': 'Sperren', 'id': accountUserMassOperationLockForm.lock.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}
{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h1 class="fs-4 d-flex align-items-center">Benutzer:innen sperren</h1>
                <p>
                    Um die ausgewählten Benutzer:innen zu sperren, klicken Sie bitte auf den SPERREN Button.
                    Sie können die Benutzer:innen später jederzeit wieder entsperren.
                </p>
                {{ form_start(accountUserMassOperationLockForm, {'attr': {'id': accountUserMassOperationLockForm.vars.id ~ '_form', 'autocomplete': 'off'}}) }}
                {{ form_row(accountUserMassOperationLockForm.selectedRowIds) }}
                {{ form_row(accountUserMassOperationLockForm._token) }}
                {{ form_end(accountUserMassOperationLockForm, {'render_rest': false}) }}
            </div>
        </div>
        <div class="mdc-card mb-4">
            {% include 'configuration/component/internal_account_user/internal_account_user_list_component.html.twig' with {
                'idPrefix': 'account_user_',
                'listItems': accountUsers,
                'showEditButton': false,
                'massOperation': false,
                'pagination': false,
                'sortable': false
            } only %}
        </div>
    </div>
{% endblock %}
